import objectdraw.*;
import java.awt.*;

/**
 * Class to define a simple car object.
 * 
 * @author Jim Teresco and the CSC 252 class, Fall 2013
 */
public class Car
{

    // named constants for car dimensions
    private static final double WIDTH = 150;
    private static final double WINDOW_HEIGHT = 30;
    private static final double BODY_HEIGHT = 40;
    private static final double WHEEL_SIZE = 30;
    private static final double WINDOW_X_OFFSET = 25;
    private static final double WINDOW_WIDTH = 75;
    private static final double WHEEL_X_OFFSET = 20;
    private static final double WHEEL_Y_OFFSET = WINDOW_HEIGHT + BODY_HEIGHT - (WHEEL_SIZE/2);
    private static final double FRONT_WHEEL_X_OFFSET = WIDTH - WHEEL_X_OFFSET - WHEEL_SIZE;
    
    private static final Color WHEEL_COLOR = new Color(25, 25, 25);
    
    // instance variables for the components
    private FilledRect body;
    private FilledRect window;
    private FilledOval frontWheel;
    private FilledOval rearWheel;
    
    // constructor for our car object
    public Car(double x, double y, Color color, DrawingCanvas c) {
        
        rearWheel = new FilledOval(x+WHEEL_X_OFFSET, y+WHEEL_Y_OFFSET, WHEEL_SIZE, WHEEL_SIZE,c);
        rearWheel.setColor(WHEEL_COLOR);
        
        frontWheel = new FilledOval(x+FRONT_WHEEL_X_OFFSET, y+WHEEL_Y_OFFSET, WHEEL_SIZE, WHEEL_SIZE,c);
        frontWheel.setColor(WHEEL_COLOR);
        
        body = new FilledRect(x, y+WINDOW_HEIGHT, WIDTH, BODY_HEIGHT, c);
        body.setColor(color);
        
        window = new FilledRect(x+WINDOW_X_OFFSET, y, WINDOW_WIDTH, WINDOW_HEIGHT, c);
        window.setColor(color);
        
    }
    
    // get the car painted!
    public void setColor(Color c) {
        
        body.setColor(c);
        window.setColor(c);
    }
}
